package router

import (
	"github.com/gin-gonic/gin"
	"kra/internal/server/handler"
)

func RegisterParameter(group *gin.RouterGroup, h *handler.Parameter) {
	router := group.Group("/sysParams")
	router.POST("/createSysParams", h.Create)
	router.PUT("/updateSysParams", h.Update)
	router.DELETE("/deleteSysParams", h.Delete)
	router.DELETE("/deleteSysParamsByIds", h.DeleteMany)
	router.GET("/findSysParams", h.Find)
	router.GET("/getSysParam", h.Get)
	router.GET("/getSysParamsList", h.List)
}
